org.apache.jmeter.gui.util

## Class JMeterMenuBar

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JMenuBar
        - - org.apache.jmeter.gui.util.JMeterMenuBar

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, MenuElement, LocaleChangeListener

    public class JMeterMenuBar
    extends JMenuBar
    implements LocaleChangeListener

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JMenuBar

`JMenuBar.AccessibleJMenuBar`

### Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

### Field Summary

Fields
`static String` `CROSS_PLATFORM_LAF`
`static String` `DARCULA_LAF`
`static String` `DARCULA_LAF_CLASS`
`static String` `DARKLAF_LAF`
`static String` `DARKLAF_LAF_CLASS`
`static String` `SYSTEM_LAF`

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`JMeterMenuBar()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createMenuBar()` Creates the MenuBar for this application.
`static UIManager.LookAndFeelInfo[]` `getAllLAFs()` Get a list of all installed LAFs plus CrossPlatform and System.
`static String[]` `getLanguages()` Generate the list of supported languages.
`void` `localeChanged(LocaleChangeEvent event)`
`void` `setEditAddEnabled(boolean enabled)`
`void` `setEditAddMenu(JMenu menu)`
`void` `setEditEnabled(boolean enabled)`
`void` `setEditMenu(JPopupMenu menu)`
`void` `setEnabled(boolean enable)`
`void` `setFileLoadEnabled(boolean enabled)`
`void` `setFileRevertEnabled(boolean enabled)`
`void` `setFileSaveEnabled(boolean enabled)`
`void` `setProjectFileLoaded(String file)`
`void` `setRunning(boolean running, String host)`

### Methods inherited from class javax.swing.JMenuBar

`add, addNotify, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getHelpMenu, getMargin, getMenu, getMenuCount, getSelectionModel, getSubElements, getUI, getUIClassID, isBorderPainted, isSelected, menuSelectionChanged, paintBorder, paramString, processKeyBinding, processKeyEvent, processMouseEvent, removeNotify, setBorderPainted, setHelpMenu, setMargin, setSelected, setSelectionModel, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SYSTEM_LAF

    public static final String SYSTEM_LAF

See Also:
  Constant Field Values

#### CROSS_PLATFORM_LAF

    public static final String CROSS_PLATFORM_LAF

See Also:
  Constant Field Values

#### DARCULA_LAF

    public static final String DARCULA_LAF

See Also:
  Constant Field Values

#### DARKLAF_LAF

    public static final String DARKLAF_LAF

See Also:
  Constant Field Values

#### DARCULA_LAF_CLASS

    public static final String DARCULA_LAF_CLASS

See Also:
  Constant Field Values

#### DARKLAF_LAF_CLASS

    public static final String DARKLAF_LAF_CLASS

See Also:
  Constant Field Values

### Constructor Detail

#### JMeterMenuBar

    public JMeterMenuBar()

### Method Detail

#### setFileSaveEnabled

    public void setFileSaveEnabled(boolean enabled)

#### setFileLoadEnabled

    public void setFileLoadEnabled(boolean enabled)

#### setFileRevertEnabled

    public void setFileRevertEnabled(boolean enabled)

#### setProjectFileLoaded

    public void setProjectFileLoaded(String file)

#### setEditEnabled

    public void setEditEnabled(boolean enabled)

#### setEditAddMenu

    public void setEditAddMenu(JMenu menu)

#### setEditMenu

    public void setEditMenu(JPopupMenu menu)

#### setEditAddEnabled

    public void setEditAddEnabled(boolean enabled)

#### createMenuBar

    public void createMenuBar()

Creates the MenuBar for this application. I believe in my heart that this should be defined in a file somewhere, but that is for later.

#### getLanguages

    public static String[] getLanguages()

Generate the list of supported languages.

Returns:
  array of language Strings

#### setRunning

    public void setRunning(boolean running,
                           String host)

#### setEnabled

    public void setEnabled(boolean enable)

Overrides:
  `setEnabled` in class `JComponent`

#### localeChanged

    public void localeChanged(LocaleChangeEvent event)

Specified by:
  `localeChanged` in interface `LocaleChangeListener`

#### getAllLAFs

    public static UIManager.LookAndFeelInfo[] getAllLAFs()

Get a list of all installed LAFs plus CrossPlatform and System.

Returns:
  The list of available `UIManager.LookAndFeelInfo`s